package com.nisum

import groovy.xml.slurpersupport.GPathResult

String webXMLFileLocation = "./web.xml"

//eventually script will require absolute path from user input
//String webXMLFileLocation = "/Users/ccottier/Documents/ds-spring-conversion-tool/spring-conversion-xml-parser/src/main/groovy/com/nisum/web.xml"


XMLParser webXMLParser = new XMLParser()
webXMLParser.loadFile(webXMLFileLocation)

String[] servPath = ["servlet","servlet-name"]
def servletNameNode = webXMLParser.getNodeByPath(servPath)
println(servletNameNode.toString())

//POM XML PARSER

String pomXMLFileLocation = "./pom.xml"

XMLParser pomXMLParser = new XMLParser()
pomXMLParser.loadFile(pomXMLFileLocation)

String[] displayNamePath = ["display-name"]
def displayNameNode = pomXMLParser.getNodeByPath(displayNamePath)
println(displayNameNode.toString());

println(displayNameNode.name())

def groupId = pomXMLParser.findNodeByTagName("groupId")
println(groupId.toString())

def dependencies = pomXMLParser.findAllNodesByTagName("dependency")
println(dependencies)
